Outline for Pegasus Architecture Document

Version 0.1, 3 Jan 2001

This document is a working outline for an architecture document for Pegasus

This is simply a working outline now and is subject to extensive change.

# The CIM Wbem Architecture – an Overview

## CIM

## WBEM

## Operations

## Indications

# Pegasus in the WBEM Environment

## What is Pegasus?

## Why

## What we are providing

# Overall Pegasus Architecture

## CIM Client

## CIMOM

## Providers

# CIMOM Internal Architecture

## The Queued Architecture

## Data Types

## CIM Objects

### Class

### Instance

### Association

### Properties

### Methods

### Qualifiers

### Parameters

### Scope

### Flavors

## CIM Server

## Flow of Operations

### Operation Lifecycle

### Indication Lifecycle

##

# Providers

# CIMOM extensibility

## Services

## Indication Handlers

## Extension modules

# The CIM Client

# CIM Listeners